ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Find intersection of 3dface(acdbFace) with line (acdbline)

7 REPLIES 7
SOLVED
Reply
Message 1 of 8
majklha
453 Views, 7 Replies

Find intersection of 3dface(acdbFace) with line (acdbline)

A have group of 3dFaces defining some terrain surface and I need get the high in degined 2d origin. It means intersection this surface (part of surface) with vertical line gone througth this 2d point. 

How to do it?

7 REPLIES 7
Message 2 of 8
Alexander.Rivilis
in reply to: majklha

AcDbFace::getPlane(...) -> AcGePlane
AcDbLine -> AcGeLineSeg3d
AcGePlane::intersectWith with AcGeLineSeg3d return your point.

Відповідь корисна? Клікніть на "ВПОДОБАЙКУ" цім повідомленням! | Do you find the posts helpful? "LIKE" these posts!
Находите сообщения полезными? Поставьте "НРАВИТСЯ" этим сообщениям!
На ваше запитання відповіли? Натисніть кнопку "ПРИЙНЯТИ РІШЕННЯ" | Have your question been answered successfully? Click "ACCEPT SOLUTION" button.
На ваш вопрос успешно ответили? Нажмите кнопку "УТВЕРДИТЬ РЕШЕНИЕ"


Alexander Rivilis / Александр Ривилис / Олександр Рівіліс
Programmer & Teacher & Helper / Программист - Учитель - Помощник / Програміст - вчитель - помічник
Facebook | Twitter | LinkedIn
Expert Elite Member

Message 3 of 8
majklha
in reply to: Alexander.Rivilis

So, instead AcGeLineSeg3d I can use AcGeLine3d. Thanks.

Message 4 of 8
Alexander.Rivilis
in reply to: majklha


@majklha wrote:

So, instead AcGeLineSeg3d I can use AcGeLine3d. Thanks.


Yes. You can use AcGeLine3d as infinitive line.

Відповідь корисна? Клікніть на "ВПОДОБАЙКУ" цім повідомленням! | Do you find the posts helpful? "LIKE" these posts!
Находите сообщения полезными? Поставьте "НРАВИТСЯ" этим сообщениям!
На ваше запитання відповіли? Натисніть кнопку "ПРИЙНЯТИ РІШЕННЯ" | Have your question been answered successfully? Click "ACCEPT SOLUTION" button.
На ваш вопрос успешно ответили? Нажмите кнопку "УТВЕРДИТЬ РЕШЕНИЕ"


Alexander Rivilis / Александр Ривилис / Олександр Рівіліс
Programmer & Teacher & Helper / Программист - Учитель - Помощник / Програміст - вчитель - помічник
Facebook | Twitter | LinkedIn
Expert Elite Member

Message 5 of 8
majklha
in reply to: Alexander.Rivilis

But I have once more question - how do I recognize, if the interception point lies on the 3dFace (between the bordered line) or outside? Because the AcGePlanar is infinity, is not it?

Message 6 of 8
ynapeu
in reply to: majklha

maybe you use AcGeBoundedPlane

Message 7 of 8
majklha
in reply to: ynapeu

Great advice.
Message 8 of 8
majklha
in reply to: ynapeu

I have found problem with AcGeBoundedPlane. It is bordered only from two sides, third is infinity. What should I do with it?

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost